Bug 46693 - libvorbis: Multiple issues (4.2)
libvorbis: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
All Linux
: P3 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-19 12:14 CET by Philipp Hahn
Modified: 2018-05-08 14:57 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-03-19 12:14:14 CET
New Debian libvorbis 1.3.4-2+deb8u1 fixes:
This update addresses the following issue(s):
* 
CVE_2018-5146 is resolved
CVE_2017-14633 is open
CVE_2017-14160 is open
CVE_2017-11333 is open

1.3.4-2+deb8u1 (Fri, 16 Mar 2018 18:18:30 +0100) * Non-maintainer upload by the Security Team. * Prevent out-of-bounds write in codebook decoding (CVE-2018-5146)

CVE-2018-5146 Mozilla: Vorbis audio processing out of bounds write (MFSA 2018-08)
Comment 1 Philipp Hahn univentionstaff 2018-03-19 12:41:50 CET
[4.2-3] 2f1bcd1bad Bug #46693: libvorbis_1.3.4-2+deb8u1
 doc/errata/staging/libvorbis.yaml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

Copied from Debian
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:57:04 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/libvorbis_1.3.4-2.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/libvorbis_1.3.4-2+deb8u1.dsc
@@ -1,3 +1,8 @@
+1.3.4-2+deb8u1 [Fri, 16 Mar 2018 18:18:30 +0100] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * Non-maintainer upload by the Security Team.
+  * Prevent out-of-bounds write in codebook decoding (CVE-2018-5146)
+
 1.3.4-2 [Mon, 03 Nov 2014 09:08:25 +0100] Petter Reinholdtsen <pere@debian.org>:
 
   [ Martin Steghöfer ]
Comment 3 Arvid Requate univentionstaff 2018-05-07 19:26:42 CEST
* No UCS specific patches
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory Ok
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:57:08 CEST
<http://errata.software-univention.de/ucs/4.2/354.html>